package com.objis.demohibernate;

import java.util.Date;
import java.util.Set;

import com.objis.demohibernate.domaine.Formateur;
import com.objis.demohibernate.domaine.Formation;
import com.objis.demohibernate.domaine.FormationInter;
import com.objis.demohibernate.domaine.FormationIntra;
import com.objis.demohibernate.domaine.Lieu;
import com.objis.demohibernate.service.GestionnaireFormation;

public class DemoHibernate {

	public static void main(String[] args) {
		
		GestionnaireFormation serviceGestionnaire = new GestionnaireFormation();
		
		Lieu lieu1 = new Lieu("Objis","centre d'affaire Regus, 72 rue du Faubourg St Honor , 75008 Paris");
		Lieu lieu2 = new Lieu("So@t","104 bis, rue de Reuilly, 75012 Paris");
		
		Formateur formateur1 = new Formateur("Mbiandou", "Douglas", 10);
		Formateur formateur2 = new Formateur("Fontan", "Yannick", 10);
		
		Set<Formateur> formateurs = new java.util.HashSet<Formateur>(2);
		formateurs.add(formateur1);
		formateurs.add(formateur2);
		
		// 3 : Utilisation du service
		serviceGestionnaire.creerFormation(new Formation("Hibernate",new Date(),3,lieu2,formateurs));
		serviceGestionnaire.creerFormation(new FormationInter("Struts",new Date(),3,lieu1,formateurs,2));
		serviceGestionnaire.creerFormation(new FormationIntra("Spring",new Date(),3,lieu1,formateurs,"oui"));
		serviceGestionnaire.creerFormation(new FormationIntra("Ajax",new Date(),3,lieu1,formateurs,"oui"));
		serviceGestionnaire.creerFormation(new FormationIntra("Selenium",new Date(),3,lieu2,formateurs,"oui"));
		
		//serviceGestionnaire.demoMerge3();
	}

}
